commit:     7cf5c8c87ff5291e7e101953ee35dcfbe4a3b99f
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 11 04:27:22 2022 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Mon Apr 11 04:57:54 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cf5c8c8

sys-apps/restorecond: bump to 3.4_rc1

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sys-apps/restorecond/Manifest                   |  1 +
 sys-apps/restorecond/restorecond-3.4_rc1.ebuild | 54 +++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/sys-apps/restorecond/Manifest b/sys-apps/restorecond/Manifest
index 5823e3897be5..b14d5edab7e4 100644
--- a/sys-apps/restorecond/Manifest
+++ b/sys-apps/restorecond/Manifest
@@ -1 +1,2 @@
 DIST restorecond-3.3.tar.gz 18970 BLAKE2B 
41c0eed734ab1e89cdfd40fdb0ceff47e1c4bb66354ff78d548a9747c661fbf7ed4b6b3daa1e39325de2a2ca087aca803f073f942f3ac89b71d873e27a1d6712
 SHA512 
ea2b97d22c1d68aa4ea31d8850f8c9632c0db0d4d666e323c648da896554c6a6fdf6dfa3c105a1df3f1ede9da8cce5ba4c1533b05520846fcb2d584935e5d7cb
+DIST restorecond-3.4-rc1.tar.gz 18961 BLAKE2B 
7f5f41f9dd7e776c266818221706f5cfff2fbb3ce99550e4c679a52e1c7694ddf06a8cd686ed80787e2acbf4060bb6cb4c4c15b85eb3ee58355b560f3751e910
 SHA512 
5d526ceb314719400cfeecb3d28369f62ca8f29223c6eabe847f3565c27b6a7f74ef6f489750b80809df6b3227324c978e4aceca1cb2f4f6a28bcaa03f1f9db9

diff --git a/sys-apps/restorecond/restorecond-3.4_rc1.ebuild 
b/sys-apps/restorecond/restorecond-3.4_rc1.ebuild
new file mode 100644
index 000000000000..92cd1c69200e
--- /dev/null
+++ b/sys-apps/restorecond/restorecond-3.4_rc1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit systemd toolchain-funcs
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+if [[ ${PV} == *9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       S="${WORKDIR}/${P}/${PN}"
+else
+       
SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+       S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="Daemon to watch for creation and set default SELinux fcontexts"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-libs/glib:2
+       >=sys-libs/libsepol-${PV}:=
+       >=sys-libs/libselinux-${PV}:="
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+
+       sed -i 's/-Werror//g' "${S}"/Makefile || die "Failed to remove Werror"
+}
+
+src_compile() {
+       tc-export CC
+       default
+}
+
+src_install() {
+       emake DESTDIR="${D}" \
+               SYSTEMDSYSTEMUNITDIR="$(systemd_get_systemunitdir)" \
+               SYSTEMDUSERUNITDIR=$(systemd_get_userunitdir) \
+               install
+
+       rm -rf "${D}/etc/rc.d" || die
+
+       newinitd "${FILESDIR}/restorecond.init" restorecond
+}

Reply via email to